1000 REMark  boot : initial boot program to put ARCHIVE on disk
1010 REMark It then deletes itself and copies boot_real_bas to boot on disk
1020 :
1030 OPEN #1,con_512x256a0x0 : OPEN #2,con_512x206a0x0
1040 LET sys$="DBProgs" :LET vers$ = " v1.8" : LET hd$ = "INITIAL BOOT FOR "&sys$&vers$&" DISK" : LET scn=0
1050   heading
1060   PRINT \" This initial boot program for ";sys$;vers$;" provides basic information about the "
1070   PRINT " ";sys$;" Disk with several options that should get you up and running quickly."
1100   PRINT \\;" PSION's ARCHIVE Database System is the powerful general purpose Database System"
1110   PRINT " provided to all QL users. It is a multifile relational-type database with variable"
1120   PRINT " length fields and has an extensive and powerful programming language. ARCHIVE"
1125   PRINT " is still one of the best options available to QL users to store and use data."
1130   PRINT \\" DBProgs is a collection of handy procedures and programs that run within ARCHIVE."
1140   PRINT " It works on any ARCHIVE database and users from beginner to expert will find it"
1150   PRINT " to be a valuable tool. All options work from easy to use menus. There is a help"
1160   PRINT  " feature within DBProgs but load the large DOC file for more details :"
1170   PRINT \"            dbprogs_doc                         {about 30 pages long}"
1180   wait
1190   heading
1200   PRINT \" ";sys$;" has a Main Menu that provides access to all DBProgs options and"
1210   PRINT " programs. These procedures have been written over a period of many years"
1220   PRINT " and have been slightly modified here to work within the DBProgs Main Menu."
1230   PRINT " Below you will be given options for setting up DBProgs for your system"
1240   PRINT \" Many users already have a way they wish to start up ARCHIVE or XCHANGE as with"
1250   PRINT " TASKMASTER or TASKFORCE. In all cases from within ARCHIVE you will type :"
1260   PRINT \"       run '{}dbprogs'<ENTER>     where {} = device where DBProgs is"
1270   PRINT \" DBProgs looks for its setup program and will ask you where the programs are"
1280   PRINT " located if it can't find dbpsetup_prg."
1290   PRINT \" If you multitask ARCHIVE give it at least 200K for DBProgs to work. If you "
1300   PRINT " use a PRINTER_DAT file for QUILL or ABACUS or other ARCHIVE programs then you"
1310   PRINT " may want a copy to it where ARCHIVE looks for it. Most likely you won't need it."
1320   wait : heading
1330   PRINT \" You should have a copy of your original DBProgs disk in FLP1_ and a formatted"
1340   PRINT " disk handy if you will need it. Remember use a COPY of the original."
1350   PRINT \" OPTIONS"
1360   PRINT \"  1. Start ARCHIVE from DBProgs disk in FLP1_so you can play with DBProgs now"
1370   PRINT \"  2. Alter your DBProgs Disk in FLP1_ so the boot program verifies the date and"
1380   PRINT "     then boots up ARCHIVE so you can quickly start DBProgs from now on."
1390   PRINT \"  3. Copy all necessary DBProgs files to where you will use them with your own"
1400   PRINT "     copy of ARCHIVE or XCHANGE ARCHIVE."
1410   PRINT \"  4. Exit this program"
1420   PRINT \\;" Give option number [1-4] : ";
1430   INPUT ans$
1440   IF ans$ == "1"
1450     CLS : PRINT " OPTION 1 : START ARCHIVE FOR ";sys$;" ARCHIVE NOW"
1460     PRINT \" Remember from within ARCHIVE you must type : "
1470     PRINT \\"   run 'flp1_dbprogs'<ENTER>"
1480     PRINT \\" Start Archive from your FLP1_ DBProgs Disk now [y/n] : ";
1490     INPUT yn$
1500     IF yn$ == "y" OR yn$ == "Y"
1510       LRUN flp1_boot_archive_bas
1520      END IF 
1530    END IF 
1540   IF ans$ == "2"
1550     CLS : PRINT "OPTION 2 : CHANGE ";sys$;" DISK TO ALWAYS BOOT ARCHIVE FOR DBProgs"
1560     PRINT \" Change DBProgs Disk in FLP1_ so it immediately boots up ARCHIVE [y/n] : ";
1570     INPUT yn$
1580     IF yn$ == "y" OR yn$ == "Y"
1590       PRINT \" {Deleting this program : flp1_boot}"
1600       DELETE flp1_boot
1610       PRINT " {Copying flp1_boot_real_bas to flp1_boot}"
1620       COPY flp1_boot_real_bas TO flp1_boot
1630       PRINT \"ARCHIVE will now always boot from ";sys$;" disk"
1640       PRINT \" Press <ENTER> : "; : INPUT yn$;
1650       LRUN flp1_boot
1660      END IF 
1670    END IF 
1680   IF ans$ == "3"
1690     CLS
1700     PRINT "OPTION ";ans$;" : COPY ";sys$;" FILES TO DEVICE TO RUN FROM ARCHIVE"
1710     PRINT \" You can use subdirectories with this copy but you will need to use the TK2"
1720     PRINT " DEV_USE Command to fool ARCHIVE to find the files before you start ";sys$
1730     PRINT \" Note Boot and ARCHIVE are not copied. Start ARCHIVE on your own"
1740     PRINT \"   Device where ";sys$;" files are [<ENTER> = FLP1_] : ";
1750     INPUT s$; : IF s$ == "" : LET s$ = "FLP1_" : PRINT s$; : END IF : PRINT
1760     PRINT "   Device to put ";sys$;" files on [<ENTER> = FLP2_] : ";
1770     INPUT t$; : IF t$ == "" : LET t$ = "FLP2_" : PRINT t$; : END IF : PRINT
1780     PRINT \" Copy ";sys$;" files from ";s$;" to ";t$;" now [y/n] : ";
1790     INPUT yn$
1800     IF yn$ == "y" OR yn$ == "Y"
1810       PRINT \"{copying from ";s$;" to ";t$;"}"
1820       dbecopy s$,t$
1830       PRINT \" All Done. Start your ARCHIVE and then : run '";t$;"dbrogs'<ENTER>"
1840       AT #0,4,0 : STOP
1850      END IF 
1860    END IF 
1870   CLS : PRINT \" Nothing Done. Type :   run <ENTER>    to restart"
1880 :
1890 DEFine PROCedure heading
1900   CLS #0 : CLS #1 : LET scn=scn+1
1910   CSIZE 2,1 : AT 0,4 : PRINT hd$ : CSIZE 0,0
1920   PRINT \sys$;" : A Collection of Useful ARCHIVE Procedures                 Screen ";scn
1930  END DEFine heading
1940 :
1950 DEFine PROCedure wait
1960   AT 24,1 : PRINT "Press <ENTER> to continue : "; : INPUT i$
1970  END DEFine wait
1980 :
1990 DEFine PROCedure dbecopy(s$,t$)
2000 :
2010 LET f$="DBProgs_prg" : COPY s$&f$ TO t$&f$
2020 LET f$="dbpsetup_prg" : COPY s$&f$ TO t$&f$
2030 LET f$="formed_prg" : COPY s$&f$ TO t$&f$
2040 LET f$="freq_prg" : COPY s$&f$ TO t$&f$
2050 LET f$="join_prg" : COPY s$&f$ TO t$&f$
2060 LET f$="matcher_prg" : COPY s$&f$ TO t$&f$
2070 LET f$="query_prg" : COPY s$&f$ TO t$&f$
2080 LET f$="refield_prg" : COPY s$&f$ TO t$&f$
2090 LET f$="replace_prg" : COPY s$&f$ TO t$&f$
2100 LET f$="scan_prg" : COPY s$&f$ TO t$&f$
2110 LET f$="split_prg" : COPY s$&f$ TO t$&f$
2120 :
2130 LET f$="address_dbf" : COPY s$&f$ TO t$&f$
2140 LET f$="form_fm1" : COPY s$&f$ TO t$&f$
2150 LET f$="form_fm2" : COPY s$&f$ TO t$&f$
2160 LET f$="gazet_dbf" : COPY s$&f$ TO t$&f$
2170 LET f$="manyfld_dbf" : COPY s$&f$ TO t$&f$
2180 LET f$="maxfld_dbf" : COPY s$&f$ TO t$&f$
2210 :
2220 LET f$="dbprogsA_scn" : COPY s$&f$ TO t$&f$
2230 LET f$="dbprogsB_scn" : COPY s$&f$ TO t$&f$
2240 LET f$="dbprogsC_scn" : COPY s$&f$ TO t$&f$
2250 LET f$="dbprogsD_scn" : COPY s$&f$ TO t$&f$
2260 LET f$="dbprogsE_scn" : COPY s$&f$ TO t$&f$
2270 LET f$="dbprogsF_scn" : COPY s$&f$ TO t$&f$
2280 LET f$="dbprogsG_scn" : COPY s$&f$ TO t$&f$
2290 LET f$="dbprogsH_scn" : COPY s$&f$ TO t$&f$
2300 LET f$="dbprogsI_scn" : COPY s$&f$ TO t$&f$
2310 LET f$="formedA_scn" : COPY s$&f$ TO t$&f$
2320 LET f$="formedB_scn" : COPY s$&f$ TO t$&f$
2330 LET f$="freqA_scn" : COPY s$&f$ TO t$&f$
2340 LET f$="joinA_scn" : COPY s$&f$ TO t$&f$
2350 LET f$="matcherA_scn" : COPY s$&f$ TO t$&f$
2360 LET f$="queryA_scn" : COPY s$&f$ TO t$&f$
2370 LET f$="refieldA_scn" : COPY s$&f$ TO t$&f$
2380 LET f$="refieldB_scn" : COPY s$&f$ TO t$&f$
2390 LET f$="replaceA_scn" : COPY s$&f$ TO t$&f$
2400 LET f$="scanA_scn" : COPY s$&f$ TO t$&f$
2401 LET f$="splitA_scn" : COPY s$&f$ TO t$&f$
2405 :
2406 LET f$="dbprogs_doc" : COPY s$&f$ TO t$&f$
2420 :
2430  END DEFine dbecopy
2440 :
2450 DEFine PROCedure docopy(f$,s$,t$)
2460   PRINT "{copying ";s$;f$;" to ";t$;f$;"}"
2470   COPY s$&f$ TO t$&f$
2480  END DEFine docopy
